cURL
curl --request POST \
--url https://us.infisical.com/api/v3/gateways \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"authMethod": {
"method": "aws",
"stsEndpoint": "https://sts.amazonaws.com/",
"allowedPrincipalArns": "",
"allowedAccountIds": ""
}
}
'import requests
url = "https://us.infisical.com/api/v3/gateways"
payload = {
"name": "<string>",
"authMethod": {
"method": "aws",
"stsEndpoint": "https://sts.amazonaws.com/",
"allowedPrincipalArns": "",
"allowedAccountIds": ""
}
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
authMethod: {
method: 'aws',
stsEndpoint: 'https://sts.amazonaws.com/',
allowedPrincipalArns: '',
allowedAccountIds: ''
}
})
};
fetch('https://us.infisical.com/api/v3/gateways', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"canRevoke": true,
"authMethod": {
"method": "aws",
"config": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"stsEndpoint": "<string>",
"allowedPrincipalArns": "<string>",
"allowedAccountIds": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
},
"identityId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"heartbeat": "2023-11-07T05:31:56Z",
"heartbeatTTL": 123
}{
"reqId": "<string>",
"statusCode": 400,
"message": "<string>",
"error": "<string>",
"details": "<unknown>"
}{
"reqId": "<string>",
"statusCode": 401,
"message": "<string>",
"error": "<string>"
}{
"reqId": "<string>",
"statusCode": 403,
"message": "<string>",
"error": "<string>",
"details": "<unknown>"
}{
"reqId": "<string>",
"statusCode": 404,
"message": "<string>",
"error": "<string>"
}{
"reqId": "<string>",
"statusCode": 422,
"error": "<string>",
"message": "<unknown>"
}{
"reqId": "<string>",
"statusCode": 500,
"message": "<string>",
"error": "<string>"
}Gateways
Create
POST
/
api
/
v3
/
gateways
cURL
Body
application/json
Name of the gateway.
Required string length:
1 - 64Auth method to configure on the gateway. aws carries the AWS allowlists; token is configurationless and requires a separate POST /v3/gateways/:id/token call to mint the bootstrap token.
- Option 1
- Option 2
Show child attributes
Show child attributes
Response
Default Response
Was this page helpful?
⌘I